AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI
AGIRequest Class
AGIRequest Constructor
AGIRequest Methods
AGIRequest Properties

| AGIRequest Class

Default implementation of the AGIRequest interface.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI
AGIRequest

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class AGIRequest

    Public Class AGIRequest

    public ref class AGIRequest

    type AGIRequest =  class end

The AGIRequest type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| AGIRequest | Creates a new AGIRequest.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| Parameter |
| ParameterMap |
| ParameterValues |
| ToString | (Overrides Object ToString .)

Top
Properties

| Name | Description
--- | --- | ---
| AccountCode | Returns the account code set for the call.
| CallerId |
| CallerIdName |
| CallingAni2 |
| CallingPres |
| CallingTns |
| CallingTon |
| Channel | Returns the name of the channel.
| Context | Returns the context in the dial plan from which the AGI script was called.
| Dnid |
| Enhanced | Returns wheather this agi is passed audio (EAGI - Enhanced AGI). Enhanced AGI is currently not supported on FastAGI. true if this agi is passed audio, false otherwise.
| Extension | Returns the extension in the dial plan from which the AGI script was called.
| Language | Returns the language, for example "en".
| LocalAddress |
| LocalPort |
| Priority | Returns the priority in the dial plan from which the AGI script was called.
| Rdnis |
| RemoteAddress |
| RemotePort |
| Request |
| RequestURL | Returns the full URL of the request in the form agi://host[:port][/script].
| Script | Returns the name of the script to execute.
| Type | Returns the type of the channel, for example "SIP".
| UniqueId | Returns the unqiue id of the channel.

Top
See Also

#### Reference

AsterNET.FastAGI Namespace